:root {
  scroll-padding-top: 65px;
}

body {
  background-color: #f5f5f5;
  color: #4e4e4e;
}

/* ?===========> Our Utilities <=========== */
.w-fit {
  width: fit-content;
}

@media screen and (min-width: 768px) {
  .bg-md-fixed {
    background-attachment: fixed;
  }
}

/* !===========> Global Styles <=========== */
.header {
  position: relative;
}

.header::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  height: 4px;
  width: 40px;
  background-color: #0078ff;
}

/* &===========> Navbar <=========== */
.navbar {
  letter-spacing: 0.25px;
}

.bg-opacity-9 {
  --bs-bg-opacity: 0.9;
}

@media screen and (min-width: 992px) {
  .navbar-collapse > ul > li a {
    position: relative;
  }

  .navbar-collapse > ul > li a::before {
    content: "";
    position: absolute;
    height: 1px;
    width: 0%;
    background-color: #fff;
    bottom: 0;
    left: var(--bs-navbar-nav-link-padding-x);
    transition: width 500ms;
  }

  .navbar-collapse > ul > li a.active::before,
  .navbar-collapse > ul > li a:hover::before {
    width: 60%;
  }
}

/* *===========> Home Section <=========== */
header {
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    url("../imgs/hero-bg.jpg");
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

/* ^===========> About Section <===========  */
.about-title {
  position: relative;
}

.about-title::before {
  content: "";
  position: absolute;
  height: 3px;
  width: 100px;
  left: 0;
  bottom: 0;
  background-color: #0078ff;
}

/* *===========> Services Section <=========== */
.services .icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 120px;
  height: 120px;
  background-color: #fff;
  margin: 0 auto;
  border: 10px solid #0078ff;
  border-radius: 50%;
  margin-block: 15px;
  transition: all 500ms;
}

.services .icon i {
  transition: color 500ms;
}

.services .row > div:hover .icon {
  background-color: #0078ff;
  border-color: rgb(196, 224, 255);
}

.services .row > div:hover .icon i {
  color: #fff;
}

.services .icon i {
  font-size: 40px;
}

/* &===========> Counter Section <===========  */
.counter {
  background-image: linear-gradient(
      rgb(0, 120, 255, 0.7),
      rgb(0, 120, 255, 0.7)
    ),
    url("../imgs/counters-bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding: 8rem 0;
}

.counter-card .icon {
  height: 60px;
  width: 60px;
  box-shadow: 0 0 0 10px #cde1f8;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
}

/* ?===========> Work Section <=========== */
.plus-icon {
  width: 40px;
  height: 40px;
  right: 10px;
  bottom: 30px;
}

.card-content .card {
  box-shadow: 0px 4px 17px 0 #0000001a;
}

.card-content .card img {
  transition: transform 900ms;
}

.card-content .card:hover img {
  transform: scale(1.25);
}

/* *===========> Testimonials Section <=========== */
.testimonials {
  background-image: linear-gradient(
      rgb(0, 120, 255, 0.7),
      rgb(0, 120, 255, 0.7)
    ),
    url("../imgs/overlay-bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  padding: 8rem 0;
}

.testimonials .carousel-img {
  width: 150px;
  height: 150px;
}

.testimonials p {
  max-width: 900px;
  margin-inline: auto;
}

.carousel-indicators [data-bs-target] {
  width: 12px;
  height: 12px;
  border-radius: 50%;
}

/* ^===========> Blog Section <=========== */
.card-category-box {
  position: absolute;
  text-align: center;
  top: -30px;
  left: 15px;
  right: 15px;
  line-height: 25px;
}

.card-category {
  display: inline-block;
  color: rgb(255, 255, 255);
  background-color: rgb(0, 120, 255);
  padding: 0px 15px 5px;
  border-radius: 4px;
}

.card-category .category {
  color: rgb(255, 255, 255);
  display: inline-block;
  text-transform: uppercase;
  font-size: 0.7rem;
  letter-spacing: 0.1px;
  margin-bottom: 0px;
}

.blog a {
  transition: color 700ms;
}

.blog a {
  color: inherit;
}

.blog a:hover {
  color: #0078ff;
}

/* !===========> Contact Section <=========== */
.contact {
  background-image: linear-gradient(
      rgb(0, 120, 255, 0.7),
      rgb(0, 120, 255, 0.7)
    ),
    url("../imgs/overlay-bg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  padding: 8rem 0 4rem;
}

.contact-links ul li {
  width: 45px;
  height: 45px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 4px solid #0078ff;
  transition: all 700ms;
}

.contact-links ul li i {
  color: #000;
  transition: color 700ms;
}

.contact-links ul li:hover {
  background-color: #0078ff;
  border-color: rgb(196, 224, 255);
}

.contact-links ul li:hover i {
  color: #fff;
}

.contact form textarea {
  resize: vertical;
  min-height: 140px;
  max-height: 300px;
}

.contact form > *::placeholder {
  font-size: 15px;
}

/* ?===========> Footer <=========== */
footer {
  background-color: #0062d3;
  box-shadow: inset 0px 2px 5px #0000004d;
}
